#!/bin/sh
#   
#   @file   run_all.sh
#
#   @brief  Script to run the samples
#
#
#   ============================================================================
#
#   Copyright (c) 2008-2009, Texas Instruments Incorporated
#
#   Redistribution and use in source and binary forms, with or without
#   modification, are permitted provided that the following conditions
#   are met:
#   
#   *  Redistributions of source code must retain the above copyright
#      notice, this list of conditions and the following disclaimer.
#   
#   *  Redistributions in binary form must reproduce the above copyright
#      notice, this list of conditions and the following disclaimer in the
#      documentation and/or other materials provided with the distribution.
#   
#   *  Neither the name of Texas Instruments Incorporated nor the names of
#      its contributors may be used to endorse or promote products derived
#      from this software without specific prior written permission.
#   
#   THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
#   AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
#   THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
#   PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
#   CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
#   EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
#   PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
#   OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
#   WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
#   OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
#   EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#   Contact information for paper mail:
#   Texas Instruments
#   Post Office Box 655303
#   Dallas, Texas 75265
#   Contact information: 
#   http://www-k.ext.ti.com/sc/technical-support/product-information-centers.htm?
#   DCMP=TIHomeTracking&HQS=Other+OT+home_d_contact
#   ============================================================================
#   
# [-p release] [-m mapfile]

mapfile=""
profile=""

while [[ $# -gt 0 ]]; do
    sc=1
    if [[ "$1" == "-p" ]]; then
        profile="-p $2"
        sc=2
    elif [[ "$1" == "-m" ]]; then
        mapfile="-m $2"
        sc=2
    else
        echo "unknown option: $1"
        exit 1
    fi
    shift $sc
done

DIR=$PWD

echo ""
echo "======== Running messageq app ========"
cd $DIR/messageq
./run_messageqapp.sh $profile $mapfile

echo ""
echo "======== Running listmp app ========"
cd $DIR/listmp
./run_listmpapp.sh $mapfile

echo ""
echo "======== Running heampbufmp app ========"
cd $DIR/heapbufmp
./run_heapbufmpapp.sh $mapfile

echo ""
echo "======== Running heapmemmp app ========"
cd $DIR/heapmemmp
./run_heapmemmpapp.sh $mapfile

echo ""
echo "======== Running gatemp app ========"
cd $DIR/gatemp
./run_gatempapp.sh $mapfile

echo ""
echo "======== Running notify app ========"
cd $DIR/notify
./run_notifyapp.sh $mapfile

echo ""
echo "======== Running frameq app ========"
cd $DIR/frameq
./run_frameq.sh $mapfile

echo ""
echo "======== Running ringio app ========"
cd $DIR/ringio
./run_ringio.sh $mapfile

#echo ""
#echo "======== Running sharedregion app ========"
#cd $DIR/sharedregion
#./run_sharedregionapp.sh $mapfile
